Channel Management/Publishing
Publish Record Details
Get the status, content, media URLs, and platform work information for one publish record. Obtain recordId from Publish Record List, Queued Publish List, or Published List.
GET
/
api
/
v2
/
channels
/
publish
/
records
/
{recordId}
Publish Record Details
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/publish/records/{recordId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/publish/records/{recordId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/publish/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/publish/records/{recordId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"id": "string",
"flowId": "string",
"userTaskId": "string",
"accountId": "string",
"accountType": "string",
"type": "string",
"status": "number",
"title": "string",
"desc": "string",
"publishTime": "string",
"platformWorkId": "string",
"workLink": "string",
"videoUrl": "string",
"coverUrl": "string",
"imgUrlList": [
"string"
],
"source": "string",
"createdAt": "string",
"updatedAt": "string"
},
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Publish record ID from data[n].id returned by Publish Record List.
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Hide child attributes
Hide child attributes
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Publish Record Details
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/publish/records/{recordId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/publish/records/{recordId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/publish/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/publish/records/{recordId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"id": "string",
"flowId": "string",
"userTaskId": "string",
"accountId": "string",
"accountType": "string",
"type": "string",
"status": "number",
"title": "string",
"desc": "string",
"publishTime": "string",
"platformWorkId": "string",
"workLink": "string",
"videoUrl": "string",
"coverUrl": "string",
"imgUrlList": [
"string"
],
"source": "string",
"createdAt": "string",
"updatedAt": "string"
},
"requestId": "string"
}
